* {
  -webkit-box-sizing: border-box;
  -moz-box-sizing: border-box;
  box-sizing: border-box;
}

/* ------ Estilizando el Body ------ */

body {
  background: url(imagenes/Criptografia1.jpg);
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center;
  background-attachment: fixed;
  font-family: "FiraCode NF", sans-serif;
  font-size: 16px;
  color: #111010;
}

/* ------ Haciendo Flexible el Contenedor Principal ------ */

.contenedor {
  width: 90%;
  margin: auto;
  max-width: 1000px;
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
}

/* ------ Haciendo Flexible el Header ------ */

header {
  width: 100%;
  padding: 50px 0px;
  display: flex; /* Esto es para que los elementos sean flexibles */
  flex-direction: row; /* para que los elementos sean en linea */
  justify-content: space-between; /* Alinea los elementos a la derecha de la pantalla*/
  align-items: center; /* Alineamos los elementos de la cabecera en la misma fila*/
}

/* ------ Animación para el Logotipo ------ */

.logo img {
  margin-left: 30px;
  animation: animacion 5s linear infinite;
}

/* ------ Estilizando el Header y el Menu ------ */

header .menu {
  height: 50px;
  display: flex;
  justify-content: center;
  align-items: center;
}

header .menu:hover {
  color: #dad0d0;
  border-radius: 8px;
  background-color: #ffffff33;
  box-shadow: 0px 0px 20px #00000099;
  transition: all 0.5s;
}

header .menu a {
  color: #000000;
  text-decoration: none;
  font-size: 18px;
  margin: 20px;
}

/* ------ Haciendo Flexible el Main ------ */

.mainPadre {
  width: 100%;
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  flex-wrap: wrap;  /* Para que se puedan colocar elementos en linea */
  margin: auto;
}

/* ------ Estilizando el Section y el TextArea ------ */

.mainPadre section {
  width: 45%;
}

.mainPadre .primerTextarea {
  width: 100%;
  height: 300px;
  padding: 20px;
  border-radius: 12px;
  background: none;
  box-shadow: 0px 0px 10px #00000080; /* Para que se vea el borde */
  border: none;
  resize: none; /* Esto es para que no se pueda redimensionar el textarea */
}

.primerTextarea:focus,
.segundoTextarea:focus {
  outline: 1px solid #564848a7; /* Para que se vea el borde */
}

/* ------ Estilizando el Párrafos ------ */

.informacion,
.informacion2 {
  font-size: 10px;
  color: #111010;
  margin-top: 15px;
  text-align: center;
}

.mainHijo p .fa-circle-info {
  font-size: 13px;
  margin-right: 2px;
}

/* ------ Estilizando el Aside ------ */

aside {
  width: 45%;
  display: flex;
  flex-direction: column;
}

aside .segundoTextarea {
  width: 100%;
  height: 300px;
  padding: 20px;
  border-radius: 12px;
  border: none;
  background: none;
  text-align: justify;
  box-shadow: 0px 0px 10px #00000080; /* Para que se vea el borde */
  resize: none;
}

/* ------ Estilizando el Botones ------ */

.botones {
  width: 100%;
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
  margin: auto;
}

.fa-expeditedssl,
.fa-link-slash,
.fa-copy {
  font-size: 18px;
  margin-right: 3px;
}

.btn-encriptar,
.btn-desencriptar,
.btn-copiar {
  width: 40%;
  padding: 10px;
  margin: 20px auto;
  background-color: #ffffff33;
  color: #000000;
  border: none;
  border-radius: 12px;
  box-shadow: 0px 0px 10px #00000099;
}

.btn-encriptar:hover,
.btn-desencriptar:hover,
.btn-copiar:hover {
  cursor: pointer;
  background: linear-gradient(10deg, #a7aeb0c5, #525452ab);
  box-shadow: 0px 0px 20px #00000099;
  scale: 1.2;
  transition: all 0.5s;
}

/* ------ Estilizando el Footer ------ */

footer {
  width: 100%;
  padding: 20px;
  margin: 20px 0;
  background: #ffffff33;
  text-align: center;
  color: #111010;
  display: flex;
  flex-direction: row;
  flex-wrap: nowrap;
  justify-content: space-between;
  border-radius: 12px;
}

footer .redes a {
  margin: 0 10px;
  color: #111010;
  font-size: 20px;
}

footer .autor .fa-copyright {
  font-size: 14px;
  margin-right: 2px;
}

footer .redes a:hover {
  transition: all 0.3s;
  color: #295b24c3;
  /* 0058fbbe */
}

/* ------ Clases creadas para usar con JS ------ */

.mensajeError {
  color: #7a1818da;
  font-size: 12px;
  font-weight: 550;
  text-align: center;
  margin: 15px auto 0px;
  padding: 10px 10px;
  border-radius: 12px;
  background: #ff292934;
  box-shadow: 0px 0px 20px #b3060699;
  width: 100%;
  transition: all 0.5s;
}

.textoEncriptado {
  color: #295b24c3;
  font-size: 12px;
  font-weight: 550;
  text-align: center;
  margin: 15px auto 0;
  padding: 10px 0;
  border-radius: 12px;
  background: #ffffff33;
  box-shadow: 0px 0px 20px #00000099;
  width: 50%;
  transition: all 0.5s;
}

.textoCopiado {
  font-size: 12px;
  font-weight: 550;
  text-align: center;
  margin: 15px auto 0;
  padding: 10px 0;
  border-radius: 12px;
  background: #ffffff33;
  box-shadow: 0px 0px 20px #a0aaa0db;
  width: 100%;
  transition: all 0.5s;
}


/*Media query para que se vea el menu en dispositivos con un 
ancho de 800px o menos. */

@media screen and (max-width: 800px) {
  .mainPadre {
    flex-direction: column;
  }

  header .menu a {
    font-size: 15px;
    margin-right: 20px;
  }

  .mainPadre section {
    width: 100%;
  }

  aside {
    width: 100%;
  }

  aside .reemplazo {
    background: url(imagenes/Muñeco.png);
    background-repeat: no-repeat;
    background-position: center;
  }
}

/* Media query para que se vea el menu en dispositivos pequeños */

@media screen and (max-width: 500px) {

  header {
    flex-direction: column;
    padding: 40px 0 5px ;
  }

  .logo img {
    margin: 0 auto 10px;
  }

  header .menu a {
    font-size: 13px;
    margin: 10px;
  }

  footer {
    margin: 0 auto 20px;
    flex-direction: column;
    text-align: center;
  }

  footer .autor p {
    font-size: 11px;
  }

  footer .autor {
    order: 2; /* Para que se vea de segundo */
  }

  footer .redes {
    order: 1; /* Para que se vea de primero */
    margin-bottom: 15px;
  }
}

@media screen and (min-width: 501px) {
  header .menu {
    transition: all 0.5s;
  }
}

/* Media query para que se vea el menu en dispositivos pequeños */

@media screen and (max-width: 300px) {
  .btn-encriptar,
  .btn-desencriptar,
  .btn-copiar {
    width: 40%;
    padding: 10px;
    margin: 15px auto;
    font-size: 11px;
  }
}

/* Animación del logotipo */

@keyframes animacion {
  0% {
    transform: scale(1);
  }
  25% {
    transform: scale(1.3);
  }
  50% {
    transform: scale(1);
  }
  75% {
    transform: scale(1.3);
  }
  100% {
    transform: scale(1);
  }
}
